## lpsolve
Interface BbListener

public interface BbListener

Classes that implement this interface may be passed to the `putbbBranchfunc` and `putbbNodefunc` method of the `LpSolve` class.

Author:
  Juergen Ebert
See Also:
  `LpSolve.putBbBranchfunc(lpsolve.BbListener, java.lang.Object)`, `LpSolve.putBbNodefunc(lpsolve.BbListener, java.lang.Object)`, "lp_solve documentation for 'put_bb_branchfunc'", "lp_solve documentation for 'put_bb_nodefunc'"

Method Summary
`int` `bbfunc(LpSolve problem, java.lang.Object userhandle, int message)` TODO: add documentation when available

Method Detail

### bbfunc

    public int bbfunc(LpSolve problem,
                      java.lang.Object userhandle,
                      int message)
               throws LpSolveException

  TODO: add documentation when available

  Parameters:
    `problem` - the problem this Listener was defined for
    `userhandle` - the userhandle object that was passed to `putLogfunc`
  Throws:
    `LpSolveException`

Copyright © 2004 - Juergen Ebert